Đến nội dung


Hình ảnh
- - - - -

Sửa giúp em lisp xoay mọi đối tượng


  • Please log in to reply
1 reply to this topic

#1 trieubb

trieubb

    biết vẽ ellipse

  • Members
  • PipPip
  • 59 Bài viết
Điểm đánh giá: 6 (bình thường)

Đã gửi 19 September 2008 - 10:41 AM

Giúp em sửa đoạn lisp này với
(defun c:xoay (/ a) (setvar "cmdecho" 1)
(princ "\nChon doi tuong:")
(setq a (ssget))
(setq p0 (getpoint "\nChon diem goc xoay: "))
(setq p1 (getpoint p0 "\nChon diem tiep theo tren doi tuong can xoay: "))
(setq p2 (getpoint p0 "\nChon diem moi can xoay den: "))
;;xoay truc x trung doi tuong can xoay
(command "ucs" "z" p0 p1)
;;xoay doi tuong can xoay ve vi tri moi
(command "rotate" a "" p0 p2)
;;tra ucs ve vi tri ban dau
(command "ucs" "" "" )
(princ)
)
  • 0

#2 ssg

ssg

    biết lệnh adcenter

  • Vip
  • PipPipPipPipPipPipPip
  • 1228 Bài viết
Điểm đánh giá: 1087 (rất tốt)

Đã gửi 19 September 2008 - 11:18 AM

Giúp em sửa đoạn lisp này với
(defun c:xoay (/ a) (setvar "cmdecho" 1)
(princ "\nChon doi tuong:")
(setq a (ssget))
(setq p0 (getpoint "\nChon diem goc xoay: "))
(setq p1 (getpoint p0 "\nChon diem tiep theo tren doi tuong can xoay: "))
(setq p2 (getpoint p0 "\nChon diem moi can xoay den: "))
;;xoay truc x trung doi tuong can xoay
(command "ucs" "z" p0 p1)
;;xoay doi tuong can xoay ve vi tri moi
(command "rotate" a "" p0 p2)
;;tra ucs ve vi tri ban dau
(command "ucs" "" "" )
(princ)
)

1- Nhắc nhở bạn: không được lập thêm topic cho cùng một nội dung. Ssg đã xoá cái topic kia rồi. Nếu tái phạm sẽ bị xoá cả hai!

2- Bạn đã dùng lệnh rotate với tham chiếu R bao giờ chưa? Theo đó, chỉ cần 1 dòng lisp:

(command "rotate" (ssget) "" (setq p (getpoint "\nDiem chuan:")) "r" p (getpoint p "\nDiem thu 2:") pause)
  • 0